Page MenuHomePhabricator

Abusefilter modify layout is broken on zhwiki
Closed, ResolvedPublic

Description

Field label (過濾器 ID, 描述, etc.) width is too small. It looks ok on enwiki. But looks bad on zhwiki, jawiki.


Currect version on zhwiki. Ex. https://zh.wikipedia.org/wiki/Special:AbuseFilter/3 or https://ja.wikipedia.org/wiki/Special:AbuseFilter/1


Version MW1.32 (d225314) 2019/3/17 on my own wiki.

Event Timeline

Xiplus created this task.Sep 4 2019, 2:37 AM
Restricted Application added subscribers: Cosine02, Aklapper. · View Herald TranscriptSep 4 2019, 2:37 AM

There was CSS change lately. Unfortunately, I didn't test it with ?uselang=zh. Probably, instead of tweaking the CSS again, we should just switch the whole form to OOUI. Let me try that.

Change 534433 had a related patch set uploaded (by Daimona Eaytoy; owner: Daimona Eaytoy):
[mediawiki/extensions/AbuseFilter@master] ViewEdit: convert all fields to OOUI

https://gerrit.wikimedia.org/r/534433

Daimona moved this task from Backlog to Nextish on the User-Daimona board.
Shizhao moved this task from Backlog to Extensions on the Chinese-Sites board.Jul 6 2020, 1:11 AM

Adding for investigation, but I won't go ahead with the "OOUI-fication" of the forms. Instead, we'll try and see if we can tweak the CSS to make the issue disappear. It's probably a matter of adding some min-width.

Change 628582 had a related patch set uploaded (by Daimona Eaytoy; owner: Daimona Eaytoy):
[mediawiki/extensions/AbuseFilter@master] ViewEdit: avoid linebreaks in form labels

https://gerrit.wikimedia.org/r/628582

Daimona claimed this task.Sep 20 2020, 11:59 AM

Change 628582 merged by jenkins-bot:
[mediawiki/extensions/AbuseFilter@master] ViewEdit: avoid linebreaks in form labels

https://gerrit.wikimedia.org/r/628582

Daimona closed this task as Resolved.Oct 14 2020, 3:49 PM
Daimona removed a project: Patch-For-Review.
Shizhao moved this task from Extensions to Closed on the Chinese-Sites board.Oct 15 2020, 1:27 AM